Skip Menu |
 

This queue is for tickets about the Wx CPAN distribution.

Report information
The Basics
Id: 25649
Status: open
Priority: 0/
Queue: Wx

People
Owner: mbarbon [...] users.sourceforge.net
Requestors: Marek.Rouchal [...] gmx.net
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.70
Fixed in: (no value)



Subject: Wx::Media missing?
Download (untitled) / with headers
text/plain 1.7k
I have perl-5.8.8 (built with gcc-4.0.3 on Solaris 8 and RedHat Enterprise Linux 3.0), wx-2.8.2 and Wx-0.70. On both of these UNIX platforms I get this error on the first test: $ perl -Mblib t/01_load.t 1..4 ok 1 - use Wx; Can't locate Wx/Media.pm in @INC (@INC contains: /home/hwadm/.cpan/build/Wx- 0.70/blib/arch /home/hwadm/.cpan/build/Wx- 0.70/blib/lib /opt/perl_5.8.8/lib .) at (eval 20) line 1. BEGIN failed--compilation aborted at (eval 20) line 1. BEGIN failed--compilation aborted at t/01_load.t line 14. # Looks like you planned 4 tests but only ran 1. # Looks like your test died just after 1. Here is the list of installed Wx libs (Linux): /opt/perl_5.8.8/ext/lib/libwx_base-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_base_net-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_base_xml-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_adv-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_aui-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_core-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_fl-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_gizmos-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_gizmos_xrc-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_gl-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_html-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_mmedia-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_ogl-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_plot-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_qa-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_richtext-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_stc-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_svg-2.8.so.0.1.0 /opt/perl_5.8.8/ext/lib/libwx_gtk2_xrc-2.8.so.0.1.0 I think I remember that there was a libwx_media_* as well, but it does not seem to be in wx-2.8.2 any more. Any idea? Cheers, Marek
Download (untitled) / with headers
text/plain 162b
For me, under Linux, a missing media library is handled gracefully for both GTK2 and Motif. I really have no idea what might be wrong in your case :-( Mattia
Subject: RE: [rt.cpan.org #25649] Wx::Media missing?
Date: Mon, 2 Apr 2007 12:13:19 +0200
To: <bug-Wx [...] rt.cpan.org>
From: <marek.rouchal [...] infineon.com>
Download (untitled) / with headers
text/plain 695b
Hmmm - what makes me wonder is that wx-2.8.* does not seem to Include a "media" library any more - it contain "mmedia" Though, but I have no idea whether this is the same or Something completely different... And I see the same test Failure both on Solaris (motif) and Linux (gtk2) here. -Marek Show quoted text
-----Original Message----- From: via RT [mailto:bug-Wx@rt.cpan.org] Sent: Saturday, March 31, 2007 4:31 PM To: MAREKR@cpan.org Subject: [rt.cpan.org #25649] Wx::Media missing? <URL: http://rt.cpan.org/Ticket/Display.html?id=25649 > For me, under Linux, a missing media library is handled gracefully for both GTK2 and Motif. I really have no idea what might be wrong in your case :-( Mattia
Download (untitled) / with headers
text/plain 2.7k
I dived again into this once again, and this is what I found: On Solaris (8, Sparc), when I build wx-2.8.3 (with standard options), I get the following libs: /opt/perl_5.8.8/ext/lib/libwx_base-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_base_net-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_base_xml-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_adv-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_aui-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_core-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_fl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_gizmos-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_gizmos_xrc-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_gl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_html-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_media-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_ogl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_plot-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_qa-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_richtext-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_stc-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_svg-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_motif_xrc-2.8.so@ As you can see, there is a "libwx_motif_media-2.8.so". However, in Wx- 0.73/ext/media/Makefile.PL, there is: NO_WX_PLATFORMS => [ 'motif' ] When I remove 'motif' from the array, all build and test of Wx-0.73 on Solaris 8 Sparc runs OK. Is there a specific way to test that the "media" interface is OK? On RedHat Enterprise Linux 3.0, however, when building wx-2.8.3, I get the following libs: /opt/perl_5.8.8/ext/lib/libwx_base-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_base_net-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_base_xml-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_adv-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_aui-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_core-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_fl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_gizmos-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_gizmos_xrc-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_gl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_html-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_mmedia-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_ogl-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_plot-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_qa-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_richtext-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_stc-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_svg-2.8.so@ /opt/perl_5.8.8/ext/lib/libwx_gtk2_xrc-2.8.so@ Obviously, the wx is now based on gtk2, not motif; but there is no "media" library - instead there is a "mmedia" library - I am confused - is this the same, but under a different name? Well, I checked with "nm" and found that in mmedia there is almost only some "Sound" stuff in, while in "media" there "MediaCtrl" in - but why is that not built by wx-2.8.3 on Linux/gtk2? Puzzled, Marek
Subject: Re:[rt.cpan.org #25649] Wx::Media missing?
Date: Fri, 20 Apr 2007 11:28:31 +0200
To: "bug-Wx" <bug-Wx [...] rt.cpan.org>
From: "Mattia Barbon \<mattia\.barbon\ [...] libero\.it\>" <mattia.barbon [...] libero.it>
Download (untitled) / with headers
text/plain 1.5k
Show quoted text
> > Queue: Wx > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=25649 > > > I dived again into this once again, and this is what I found: > > On Solaris (8, Sparc), when I build wx-2.8.3 (with standard options), > I get the following libs:
Show quoted text
> /opt/perl_5.8.8/ext/lib/libwx_motif_media-2.8.so@
Show quoted text
> As you can see, there is a "libwx_motif_media-2.8.so". However, in Wx- > 0.73/ext/media/Makefile.PL, there is: > NO_WX_PLATFORMS => [ 'motif' ] > When I remove 'motif' from the array, all build and test of Wx-0.73 on > Solaris 8 Sparc runs OK. Is there a specific way to test that > the "media" interface is OK?
IIRC in Wx::Demo there is a media example. You can try playing an audio or multimedia file. I used AVI under Win32 and and MP3 under Linux. Show quoted text
> On RedHat Enterprise Linux 3.0, however, when building wx-2.8.3, I get
Show quoted text
> Obviously, the wx is now based on gtk2, not motif; but there is > no "media" library - instead there is a "mmedia" library - I am > confused - is this the same, but under a different name? Well, > I checked with "nm" and found that in mmedia there is almost only > some "Sound" stuff in, while in "media" there "MediaCtrl" in - but why > is that not built by wx-2.8.3 on Linux/gtk2?
mmedia is a completely different (and deprecated) beast. If I remember correctly Wx::MediaCtrl is build if gstreamer 0.8 0r 0.10 is installed (you will also need the -dev packages). HTH Mattia ------------------------------------------------------ Leggi GRATIS le tue mail con il telefonino i-mode™ di Wind http://i-mode.wind.it/
Download (untitled) / with headers
text/plain 1.4k
On Fr. 20. Apr. 2007, 05:29:04, mattia.barbon@libero.it wrote: Show quoted text
> > As you can see, there is a "libwx_motif_media-2.8.so". However, in
Wx- Show quoted text
> > 0.73/ext/media/Makefile.PL, there is: > > NO_WX_PLATFORMS => [ 'motif' ] > > When I remove 'motif' from the array, all build and test of Wx-
0.73 on Show quoted text
> > Solaris 8 Sparc runs OK. Is there a specific way to test that > > the "media" interface is OK?
> > IIRC in Wx::Demo there is a media example. You can try playing > an audio or multimedia file. I used AVI under Win32 and and MP3 > under Linux.
Well, when selecting the Controls->wxMediaCtrl from the demo, I immediately get a segmentation fault :-/ Looks like there _is_ a reason not to support MediaCtrl on Solaris/Motif :-( Show quoted text
> mmedia is a completely different (and deprecated) beast. If > I remember correctly Wx::MediaCtrl is build if gstreamer 0.8 0r 0.10 > is installed (you will also need the -dev packages).
Correct, thank you for the hint! This is not transparent at all from the configure run of wx-2.8.3. I installed liboil, libgstreamer and the plugins, and now wx-2.8.3 happily builds libwx_gtk2_media.so and Wx recognizes it (I had to re-install Alien::wxWidgets, though). Now I am trying to build gstreamer on Solaris, and see whether that makes the "media" library on Solaris/Motif work better.. Ah, wait! The MediaCtrl demo in Wx::Demo bombs out on Linux as well (segfault), despite the successful build with gstreamer-0.10 :-( How do you test Wx::Media on Linux? Thanks, Marek
From: steve.cookson [...] sca-uk.com
Download (untitled) / with headers
text/plain 643b
On Fri Apr 20 09:57:46 2007, MAREKR wrote: Show quoted text
> Ah, wait! The MediaCtrl demo in Wx::Demo bombs out on Linux as well > (segfault), despite the successful build with gstreamer-0.10 :-( > > How do you test Wx::Media on Linux?
This should work with the correct dependencies. The dependencies are not well documented or managed. They are (as I recall): apt-get -y install libgconf2-dev apt-get -y install libgtk2.0-dev apt-get -y install libgstreamer0.10-0 apt-get -y install libgstreamer0.10-dev apt-get -y install libgstreamer-plugins-base0.10-0 apt-get -y install libgstreamer-plugins-base0.10-dev Then run "cpan -i Wx". Regards Steve


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.